Package com.xebialabs.xlrelease.domain.delivery

# Enum Class TrackedItemStatus

java.lang.Object
java.lang.Enum<TrackedItemStatus>
com.xebialabs.xlrelease.domain.delivery.TrackedItemStatus

All Implemented Interfaces:
  `Serializable`, `Comparable<TrackedItemStatus>`, `Constable`

public enum TrackedItemStatus extends Enum<TrackedItemStatus>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NOT_READY`
  `READY`
  `SKIPPED`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final TrackedItemStatus[]`
  `DONE_STATUSES`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `isDone()`
  `boolean`
  `isOneOf(TrackedItemStatus... statuses)`
  `String`
  `value()`
  `static TrackedItemStatus`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static TrackedItemStatus[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NOT_READY

    public static final TrackedItemStatus NOT_READY

  - ### READY

    public static final TrackedItemStatus READY

  - ### SKIPPED

    public static final TrackedItemStatus SKIPPED

- ## Field Details

  - ### DONE_STATUSES

    public static final TrackedItemStatus[] DONE_STATUSES

- ## Method Details

  - ### values

    public static TrackedItemStatus[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static TrackedItemStatus valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()

  - ### isDone

    public boolean isDone()

  - ### isOneOf

    public boolean isOneOf(TrackedItemStatus... statuses)